function laadBerichten(f_page){
	page = f_page;
	
	showLoader()
	
	db.transaction(function (tx) {  
   	tx.executeSql('DROP TABLE IF EXISTS meldingen');
  	tx.executeSql('CREATE TABLE IF NOT EXISTS meldingen (id unique, title, hulpdiensten, adres, datum)');
	});
	
	jQuery.ajax({
		url: 'http://www.p2000zhz-rr.nl/app/xml/'+f_page+'.xml',
	  	cache: false,
	  	dataType: 'xml',
	  	crossDomain: true,
	  	success: function(xml){
	  		localStorage.setItem('page', f_page);
	  		jQuery('.p2-berichten li').remove();
	  		var lastTitle='';
	  		var lastDatum='';
	  		var hulpdienst='';
	  		var hulpdiensten='';
	  		var hulpdienstenDB='';
	  		var capcode='';
	  		var adres='';
	  		var teller=0;
	  		db.transaction(function (tx) {
		  		jQuery(xml).find('item').each(function(){
	          var title = jQuery(this).find("title").text()
	          var datum = jQuery(this).find("datum").text()
	          var melding = jQuery(this).find("description").text()
	          var hulpdienst = jQuery(this).find("hulpdienst").text()
	          var capcode = jQuery(this).find("capcode").text()
	          var adres = jQuery(this).find("adres").text()
	          if(title != lastTitle && lastTitle !=''){
	            teller++
	            jQuery('.p2-berichten').append('<li><a href="javascript:showMelding('+parseInt(teller)+')"><h3><span class="datum">'+lastDatum+'</span> - '+lastTitle+'</h3><p>'+hulpdiensten+'</p></a></li>')
							  
								tx.executeSql('INSERT INTO meldingen (id, title, hulpdiensten, adres, datum) VALUES (?, ?, ?, ?, ?)', [teller, lastTitle, hulpdienstenDB, lastAdres, lastDatum]);
							hulpdiensten='';
							hulpdienstenDB='';
						}
						lastTitle = title;
						lastDatum = datum;
						lastAdres = adres;
						hulpdiensten=hulpdiensten+hulpdienst+'<br/>';
						hulpdienstenDB=hulpdienstenDB+'<br/>'+capcode+' '+hulpdienst;
						
	        });
	        jQuery('#leftpanel .selected').removeClass('selected');
	        jQuery( ".p2-berichten" ).listview( "refresh" );
	        jQuery('.menu-'+page).addClass('selected');
			jQuery( "#leftpanel" ).panel( "close" );
	        //gaPlugin.trackEvent( function(){}, function(){}, "Menu", "Click", f_page, 1);
	        window.analytics.trackEvent('Menu', 'Click', f_page, 1)
	        hideLoader()
        });
	  	}
	});
}

function showMelding(f_id) {
	db.transaction(function(t) {
      t.executeSql("SELECT * FROM meldingen WHERE id=?", [f_id], updateMeldingPanel);
  });
}

function updateMeldingPanel(transaction, results) {
	var row = results.rows.item(0);
	jQuery('#popup-content').html('<br/><b>'+row.title+'</b><br/><br>'+row.datum+'<br/>'+row.hulpdiensten+'');
	jQuery('#berichtpopup').popup("open");
	if(row.adres != ''){codeAddress(row.adres);jQuery('#map-canvas').show();}else{jQuery('#map-canvas').hide();}
}

function showLoader() {
	var $this = jQuery( this ),
        theme = $this.jqmData( "theme" ) || jQuery.mobile.loader.prototype.options.theme,
        msgText = $this.jqmData( "msgtext" ) || jQuery.mobile.loader.prototype.options.text,
        textVisible = $this.jqmData( "textvisible" ) || jQuery.mobile.loader.prototype.options.textVisible,
        textonly = !!$this.jqmData( "textonly" );
        html = $this.jqmData( "html" ) || "";
    jQuery.mobile.loading( "show", {
        text: msgText,
        textVisible: textVisible,
        theme: theme,
        textonly: textonly,
        html: html
    });
}

function hideLoader() {
	jQuery.mobile.loading( "hide" );
	jQuery('#touchloader').hide();
}
var db = '';
var page = '';
var openMenu = '';
var fontSize = '';
//var gaPlugin;
function initP2000() {
	db = window.openDatabase("Database", "1.0", "Berichten", 200000);
	
	page = showStoreValue('page')
	if(page == ''){page='zhzvrr';}
	
	openMenu = showStoreValue('menu')
	if(openMenu == ''){openMenu='1';}
	
	jQuery( "#menu-"+openMenu ).collapsible( "expand" );
	
	fontSize = showStoreValue('font')
	if(fontSize == ''){fontSize='13px';}
	
	jQuery('h3').css('font-size', fontSize);
	jQuery('#popup-content').css('font-size', jQuery('#select-font-size').val());
	jQuery('#select-font-size').val(fontSize);
	jQuery('#select-font-size-button span').html(fontSize);
	
	window.analytics.startTrackerWithId('UA-62298919-1') 

	//gaPlugin = window.plugins.gaPlugin;
  	//gaPlugin.init(function(){}, function(){}, "UA-62298919-1", 10);
	
	laadBerichten(page);
	
	initAd();
	showInterstitialFunc();

	//AdMob.prepareInterstitial({
        //adId: admobid.interstitial,
        //autoShow: true
    	//});
	
	//AppRate.preferences.useLanguage = 'nl';
	//AppRate.preferences.storeAppURL.ios = '983345267';
	//AppRate.preferences.storeAppURL.android = 'market://details?id=nl.p2000zhzrr.app';
	//AppRate.usesUntilPrompt = 2;
	//AppRate.promptForRating();
}

function showStoreValue(f_key) {
     var item = localStorage.getItem(f_key);
     if (item == null) {
         item = '';
     }
     else if (item.length === 0) {
         item = '';
     }
     return item;
}

var geocoder;
var map;
function initMaps() {
  geocoder = new google.maps.Geocoder();
  var latlng = new google.maps.LatLng(51.978113,4.503955);
  var mapOptions = {
    zoom: 16,
    center: latlng
  }
  map = new google.maps.Map(document.getElementById('map-canvas'), mapOptions);
}

function rememberMenu(inMenu){
	localStorage.setItem('menu', inMenu);
}

function saveSettings(){
	localStorage.setItem('font', jQuery('#select-font-size').val());
	jQuery('h3').css('font-size', jQuery('#select-font-size').val());
	jQuery('#popup-content').css('font-size', jQuery('#select-font-size').val());
	jQuery('#instellingenPanel').panel('close');
}

function codeAddress(inAddress) {
  initMaps();
  //gaPlugin.trackEvent( function(){}, function(){}, "Button", "Click", inAddress, 1);
  window.analytics.trackEvent('Button', 'Click', inAddress, 1)
  var address = inAddress+' NL';
  geocoder.geocode( { 'address': address}, function(results, status) {
    if (status == google.maps.GeocoderStatus.OK) {
      map.setCenter(results[0].geometry.location);
      var marker = new google.maps.Marker({
          map: map,
          position: results[0].geometry.location
      });
    } else {
      
    }
  });
}

//initialize the goodies 
function initAd(){
        if ( window.plugins && window.plugins.AdMob ) {
            var ad_units = {
                ios : {
                    banner: 'ca-app-pub-xxxxxxxxxxx/xxxxxxxxxxx',		//PUT ADMOB ADCODE HERE 
                    interstitial: 'ca-app-pub-3081027064341820/3367661319'	//PUT ADMOB ADCODE HERE 
                },
                android : {
                    banner: 'ca-app-pub-xxxxxxxxxxx/xxxxxxxxxxx',		//PUT ADMOB ADCODE HERE 
                    interstitial: 'ca-app-pub-3081027064341820/8495864917'	//PUT ADMOB ADCODE HERE 
                }
            };
            var admobid = ( /(android)/i.test(navigator.userAgent) ) ? ad_units.android : ad_units.ios;
 
            window.plugins.AdMob.setOptions( {
                publisherId: admobid.banner,
                interstitialAdId: admobid.interstitial,
                adSize: window.plugins.AdMob.AD_SIZE.SMART_BANNER,	//use SMART_BANNER, BANNER, IAB_MRECT, IAB_BANNER, IAB_LEADERBOARD 
                bannerAtTop: false, // set to true, to put banner at top 
                overlap: true, // banner will overlap webview 
                offsetTopBar: false, // set to true to avoid ios7 status bar overlap 
                isTesting: false, // receiving test ad 
                autoShow: true // auto show interstitial ad when loaded 
            });
 
            registerAdEvents();
        } else {
            //alert( 'admob plugin not ready' ); 
        }
}
//functions to allow you to know when ads are shown, etc. 
function registerAdEvents() {
        document.addEventListener('onReceiveAd', function(){});
        document.addEventListener('onFailedToReceiveAd', function(data){});
        document.addEventListener('onPresentAd', function(){});
        document.addEventListener('onDismissAd', function(){ });
        document.addEventListener('onLeaveToAd', function(){ });
        document.addEventListener('onReceiveInterstitialAd', function(){ });
        document.addEventListener('onPresentInterstitialAd', function(){ });
        document.addEventListener('onDismissInterstitialAd', function(){ });
    }

    //display the banner 
function showBannerFunc(){
	window.plugins.AdMob.createBannerView();
}
//display the interstitial 
function showInterstitialFunc(){
	window.plugins.AdMob.createInterstitialView();	//get the interstitials ready to be shown and show when it's loaded. 
	window.plugins.AdMob.requestInterstitialAd();
}